#include <stdarg.h>
#include <stdbool.h>
#include <stdint.h>
#include <stdlib.h>

 __int64 add( __int64 a,  __int64 b);

/**
 * decode jpeg image of given length
 *
 * image format is 0RGB
 */
__int64 decode(__int32 *image, const __int8 *packet, __int32 length);

__int64 blit_pattern(__int32 *arr);
